Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.indexdmr.model
Interface VIndexDomainModelReference

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ModelChangeListener, org.eclipse.emf.common.notify.Notifier, VDomainModelReference, VFeaturePathDomainModelReference

All Known Implementing Classes:
  VIndexDomainModelReferenceImpl

    public interface VIndexDomainModelReference

extends VFeaturePathDomainModelReference

A representation of the model object 'Index Domain Model Reference'.

The following features are supported:

- `Prefix DMR`
- `Index`
- `Target DMR`

See Also:
  `VIndexdmrPackage.getIndexDomainModelReference()`

Method Summary
`int` | `getIndex()` Returns the value of the 'Index' attribute.
`VDomainModelReference` | `getPrefixDMR()` Returns the value of the 'Prefix DMR' containment reference.
`VDomainModelReference` | `getTargetDMR()` Returns the value of the 'Target DMR' containment reference.
`void` | `setIndex(int value)` Sets the value of the '`Index`' attribute.
`void` | `setPrefixDMR(VDomainModelReference value)` Sets the value of the ' `Prefix DMR`' containment reference.
`void` | `setTargetDMR(VDomainModelReference value)` Sets the value of the ' `Target DMR`' containment reference.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VFeaturePathDomainModelReference
`getDomainModelEFeature, getDomainModelEReferencePath, setDomainModelEFeature`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VDomainModelReference
`getChangeListener, getEStructuralFeatureIterator, getFullPathIterator, getIterator, init`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.ModelChangeListener
`notifyChange`

Method Detail

### getPrefixDMR

    VDomainModelReference getPrefixDMR()

  Returns the value of the 'Prefix DMR' containment reference.

  If the meaning of the 'Prefix DMR' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Prefix DMR' containment reference.
  Since:
    1.6
  See Also:
    `setPrefixDMR(VDomainModelReference)`, `VIndexdmrPackage.getIndexDomainModelReference_PrefixDMR()`

### setPrefixDMR

    void setPrefixDMR(VDomainModelReference value)

  Sets the value of the ' `Prefix DMR`' containment reference.

  Parameters:
    `value` - the new value of the 'Prefix DMR' containment reference.
  Since:
    1.6
  See Also:
    `getPrefixDMR()`

### getTargetDMR

    VDomainModelReference getTargetDMR()

  Returns the value of the 'Target DMR' containment reference.

  If the meaning of the 'Target DMR' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target DMR' containment reference.
  See Also:
    `setTargetDMR(VDomainModelReference)`, `VIndexdmrPackage.getIndexDomainModelReference_TargetDMR()`

### setTargetDMR

    void setTargetDMR(VDomainModelReference value)

  Sets the value of the ' `Target DMR`' containment reference.

  Parameters:
    `value` - the new value of the 'Target DMR' containment reference.
  See Also:
    `getTargetDMR()`

### getIndex

    int getIndex()

  Returns the value of the 'Index' attribute.

  If the meaning of the 'Index' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Index' attribute.
  See Also:
    `setIndex(int)`, `VIndexdmrPackage.getIndexDomainModelReference_Index()`

### setIndex

    void setIndex(int value)

  Sets the value of the '`Index`' attribute.

  Parameters:
    `value` - the new value of the 'Index' attribute.
  See Also:
    `getIndex()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.